/** 2008, Digitalis Informatica. All rights reserved.
 *
 * Distribuicao e Gestao de Informatica, Lda.
 * Estrada de Paco de Arcos num.9 - Piso -1
 * 2780-666 Paco de Arcos
 * Telefone: (351) 21 4408990
 * Fax: (351) 21 4408999
 * http://www.digitalis.pt
 */

package pt.digitalis.maven.ormgenerator.hibernate;

import org.hibernate.cfg.reveng.ReverseEngineeringStrategy;
import org.hibernate.cfg.reveng.TableIdentifier;

/**
 * Hibernate tools reverse engeneering strategy Custom implementation Extends {@link CustomReverseEngineeringStrategy}
 * and adds package schema split functionality
 *
 * @author Pedro Viegas <a href="mailto:pviegas@digitalis.pt">pviegas@digitalis.pt</a><br/>
 * @created Jan 9, 2009
 */
public class CustomReverseEngineeringStrategySplitSchemas extends CustomReverseEngineeringStrategy {

    /**
     * @param delegate
     */
    public CustomReverseEngineeringStrategySplitSchemas(ReverseEngineeringStrategy delegate) {
        super(delegate);
    }

    /**
     * @see org.hibernate.cfg.reveng.DelegatingReverseEngineeringStrategy#tableToClassName(org.hibernate.cfg.reveng.TableIdentifier)
     */
    @Override
    public String tableToClassName(TableIdentifier tableIdentifier) {

        String className = super.tableToClassName(tableIdentifier);

        if (tableIdentifier.getSchema() != null) {
            int pos = className.lastIndexOf(".");

            className =
                    className.substring(0, pos) + "." + tableIdentifier.getSchema().toLowerCase() + "."
                            + className.substring(pos + 1);
        }

        return className;
    }
}
