/** 2008, Digitalis Informatica. All rights reserved.
 *
 * Distribuicao e Gestao de Informatica, Lda.
 * Estrada de Paco de Arcos num.9 - Piso -1
 * 2780-666 Paco de Arcos
 * Telefone: (351) 21 4408990
 * Fax: (351) 21 4408999
 * http://www.digitalis.pt
 */
package pt.digitalis.maven.ormgenerator;

/**
 * A DAO definition. Includes the class and package name to generate the Service DAO accessor methods
 *
 * @author Pedro Viegas <a href="mailto:pviegas@digitalis.pt">pviegas@digitalis.pt</a>
 * @created Jan 15, 2009
 */
public class DAO {

    /** The DAO class name */
    private String className;

    /** The DAO class schema package name */
    private String schemaName;

    /**
     * Default constructor
     *
     * @param schemaName
     * @param className
     */
    public DAO(String schemaName, String className) {
        this.schemaName = schemaName;
        this.className = className;
    }

    /**
     * @return the className
     */
    public String getClassName() {
        return className;
    }

    /**
     * @return the schemaName
     */
    public String getSchemaName() {
        return schemaName;
    }

    /**
     * @param className
     *            the className to set
     */
    public void setClassName(String className) {
        this.className = className;
    }

    /**
     * @param schemaName
     *            the schemaName to set
     */
    public void setSchemaName(String schemaName) {
        this.schemaName = schemaName;
    }

    /**
     * @return the calculated relative package if inner schema DAO
     */
    public String getRelativePackage() {
        if (schemaName != null && !"".equals(schemaName))
            return "." + schemaName;
        else
            return "";
    }
}
