package pt.digitalis.maven.ormgenerator;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

/**
 * Services pojo class. This class represents the services specified in xml and to be read in the freemarker template.
 *
 *
 * @author António Silva <a href="mailto:asilva@digitalis.pt">asilva@digitalis.pt</a>
 * @created Nov 6, 2007
 *
 */
public class Services {
    /**
     * Name of the service
     */
    public String name;

    /**
     * A List with the services linked to this service
     */
    public List<String> linkedServices = new ArrayList<String>();

    /**
     * A List with the daos linked to this service
     */
    public List<DAO> linkedDAOs = new ArrayList<DAO>();

    /**
     * @return the linkedDAOs
     */
    public Collection<DAO> getLinkedDAOs() {
        return linkedDAOs;
    }

    /**
     * @return the linkedServices
     */
    public Collection<String> getLinkedServices() {
        return linkedServices;
    }


    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name
     *            the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

}
